server {
    listen       80 default;
    listen  [::]:80 default;
    server_name  _;

    include snippets/letsencrypt-webroot.conf;
    include snippets/redirect-to-https.conf;
}

server {
    listen       443 ssl default;
    listen  [::]:443 ssl default;
    server_name  _;

    include snippets/ssl-self-signed.conf;
    include snippets/ssl-params.conf;

    location / {
        root   /usr/share/nginx/html;
        index  index.html index.htm;
    }

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/html;
    }
}
